Added directory to store Ubuntu specific files
[hvlinux.git] / stage2 / cis-texinfo
index 08601bd..f05cb36 100755 (executable)
@@ -1,4 +1,6 @@
-#!/bin/sh
+#!/bin/bash
+set -o errexit
+
 # First argument of this script is the package name
 
 # Reading system configuration informations, functions and package versions.
@@ -7,14 +9,13 @@ source ../functions
 source ../packages-list
 
 # Applying patches (if any)
-apply_patches ${1} &&
+apply_patches ${1}
 
-cd ${LFS_TMP}/${1}-build &&
+cd ${LFS_TMP}/${1}-build
 ../${1}/configure \
-    --prefix=/usr &&
-make -j ${MAKEJOBS} &&
-make install &&
+    --prefix=/usr
+make -j ${MAKEJOBS}
+make install
 make TEXMF=/usr/share/texmf install-tex
 
-# Return last error
 exit $?